import 'dart:io';

import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';

import 'ui_helper.dart';

class ImageHelper {
  final BuildContext context;

  ImageHelper._(this.context);

  factory ImageHelper.of(BuildContext context) {
    return ImageHelper._(context);
  }

  Future<File> pickImage(BuildContext context,
      {bool isCompress = false}) async {
    try {
      String value = await AppUIHelper.of(context)
          .showModalDialog(context, ["Camera", "Gallery"]);
      PickedFile file = await ImagePicker().getImage(
          source: value == 'Camera' ? ImageSource.camera : ImageSource.gallery,
          imageQuality: isCompress ? 50 : 100);
      return File(file.path);
    } catch (e) {
      return null;
    }
  }

  Future<File> pickFromCamera(BuildContext context, {int quality = 100}) async {
    try {
      PickedFile file = await ImagePicker()
          .getImage(source: ImageSource.camera, imageQuality: quality);
      return File(file.path);
    } catch (e) {
      return null;
    }
  }

  Future<File> pickFromGalley(BuildContext context, {int quality = 100}) async {
    try {
      PickedFile file = await ImagePicker()
          .getImage(source: ImageSource.gallery, imageQuality: quality);
      return File(file.path);
    } catch (e) {
      return null;
    }
  }
}
